﻿foodPoint = {};
foodPoint_mt = Class(foodPoint, Placeable);
InitObjectClass(foodPoint, "foodPoint");

function foodPoint:new(isServer, isClient, customMt)
	local self = Placeable:new(isServer, isClient, foodPoint_mt);
	registerObjectClassName(self, "foodPoint");
	return self;
end;

function foodPoint:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
	if not foodPoint:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
		return false;
	end;
	
	if not moveMode then
		local xmlFile = loadXMLFile("TempXML", xmlFilename);
		self.foodPointIndex = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.foodPoint#index"));
		delete(xmlFile);

		self.foodPointX, self.foodPointY, self.foodPointZ = getWorldTranslation(self.foodPointIndex);
		local realLifeFile = g_modsDirectory.."/realLifeConfig.xml";
		local foodPointConfig;
		if fileExists(realLifeFile) then
			foodPointConfig = loadXMLFile("realLifeConfig", realLifeFile, "realLife");
		else
			foodPointConfig = createXMLFile("realLifeConfig", realLifeFile, "realLife");
			setXMLFloat(foodPointConfig, "realLife.hunger", 0);
		end;
		setXMLFloat(foodPointConfig, "realLife.foodPointX", self.foodPointX);
		setXMLFloat(foodPointConfig, "realLife.foodPointY", self.foodPointY);
		setXMLFloat(foodPointConfig, "realLife.foodPointZ", self.foodPointZ);
		saveXMLFile(foodPointConfig);
	end;
    return true;
end;

function foodPoint:delete()
	unregisterObjectClassName(self);
	foodPoint:superClass().delete(self);
end;

function foodPoint:deleteFinal()
	foodPoint:superClass().deleteFinal(self);
end;

function foodPoint:update(dt)
end;

registerPlaceableType("foodPoint", foodPoint);

-- local testText = string.format("%s", self.foodPointIndex);
-- renderText(0.5, 0.05, 0.012, testText);